<template>
    <div class="todoListContainer">
        <div class="cabecera">
            <h2 id="#titulo">
                Lista TODO
            </h2>
            <v-btn
        color="primary"
        elevation="8"
        x-large
    ></v-btn>
            <add-item-form 
            @reloadlist="getList()"/>
        </div>
        <list-view :items="items"
        @reloadlist="getList()"/>
    </div>
</template>

<script>
import addItemForm from './addItemForm';
import listView from './listView';
export default {
    components: {
        addItemForm,
        listView
    },
    data: function() {
        return {
            items: []
        }
    },
    methods: {
        getList() {
            axios.get('api/items')
            .then(response => {
                this.items = response.data
            })
            .catch(error => {
                console.log(error);
            })
        }
    },
    created(){
        this.getList()
    }
}
</script>

<style scoped>
    .todoListContainer{
        width: 350px;
        margin: auto;
    }

    .cabecera{
        background: #e6e6e6;
        padding: 10px;
    }

    #titulo{
        text-align: center;
    }
</style>